### Method

# GioUnix DesktopAppInfo get_string_list

since: 2.60

#### Declaration [src]

    gchar**
    g_desktop_app_info_get_string_list (
      GDesktopAppInfo* info,
      const char* key,
      gsize* length
    )

#### Description [src]

Looks up a string list value in the keyfile backing `info`.

The `key` is looked up in the `Desktop Entry` group.

Available since: 2.60

#### Parameters

`key`

  Type: `const char*`

  The key to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize*`

  Return location for the number of returned strings, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

a `NULL`-terminated string array or `NULL` if the specified key cannot be found. The array should be freed with `g_strfreev()`.

The array is `NULL`-terminated.
The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.